////////////////////////////////////////////////
//
// Timing for cat93c76 (depending on Vcc values)
//
////////////////////////////////////////////////

`ifdef v1_8__2_5
	//
	// 	clock timing
	//
	parameter fMAX  	= 1000;		// Max. frequency (Kz)
	parameter tSKHI  	= 250;		// Min. SK High Time
	parameter tSKLOW  	= 250;		// Min. SK Low Time

	//
	// 	chip select timing
	//
	parameter tCSS 		= 100;		// min. CS Setup Time
	parameter tCSH 		=   0;		// min. CS HOLD Time
	parameter tCSMIN 	= 200;		// min. CS Low Time
	//
	// 	Data In timing
	//
	parameter tDIS 	= 100;		// min.Data In Setup Time
	parameter tDIH	= 100;		// min. Data In Hold Time 
	//
	// 	Data Out timing
	//
	parameter tPD0 	= 250;		// max. Output Delay to 0
	parameter tPD1 	= 250;		// max. Output Delay to 1
	parameter tHZ 	= 150;		// max. Output Delay to High-Z
	parameter tSV 	= 250;		// max. Output Delay to Status Valid
	//
	parameter tEW 	= 5000000;		// Program/Erase Pulse Width	
	//
`endif

`ifdef v2_5__5_5
	//
	// 	clock timing
	//
	parameter fMAX  	= 3000;		// Max. frequency (Kz)
	parameter tSKHI  	= 150;		// Min. SK High Time
	parameter tSKLOW  	= 150;		// Min. SK Low Time

	//
	// 	chip select timing
	//
	parameter tCSS 		=  50;		// min. CS Setup Time
	parameter tCSH 		=   0;		// min. CS HOLD Time
	parameter tCSMIN 	= 150;		// min. CS Low Time
	//
	// 	Data In timing
	//
	parameter tDIS 	=  50;		// min.Data In Setup Time
	parameter tDIH	=  50;		// min. Data In Hold Time 
	//
	// 	Data Out timing
	//
	parameter tPD0 	= 150;		// max. Output Delay to 0
	parameter tPD1 	= 150;		// max. Output Delay to 1
	parameter tHZ 	= 100;		// max. Output Delay to High-Z
	parameter tSV 	= 100;		// max. Output Delay to Status Valid
	//
	parameter tEW 	= 5000000;		// Program/Erase Pulse Width	
`endif


